//
// Created by Simon Wörner on 16.06.17.
//

#ifndef KAWAII_ENGINE_EMERGENCY_STOP_H
#define KAWAII_ENGINE_EMERGENCY_STOP_H


#include <cstdint>

class emergency_stop
{
private:
	void *rust_emergency_stop;
public:
   	emergency_stop(uint8_t port);
	emergency_stop(const emergency_stop &) = delete;
	emergency_stop(const emergency_stop &&) = delete;
	bool get_state() const;
	~emergency_stop();
};


#endif //KAWAII_ENGINE_EMERGENCY_STOP_H
